:root {
  /* Color Variables */
  --primary-color: #007bff;
  --secondary-color: #ff4b9f;
  --accent-color: #3f0a57;
  --background-color: aliceblue;
  --highlight-color: yellow;
  --text-light: #fff;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
iframe {
  border-radius: 1em;
  pointer-events: auto;
  border: #ff4b9f solid 2px;

}

body {
  font-family: "Montserrat", "Open Sans", "Poppins", "Roboto", "Lato", "Source Sans Pro", sans-serif;
  background-color: var(--background-color);
  color: var(--primary-color);
  text-align: center;
  overflow-x: hidden;
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
}

.mask-image {
  width: 100vw;
  top: 0;
  left: 0;
  position: absolute;
  z-index: -1;
  opacity: 0.8;
  background-size: cover;
}

h1 {
  font-weight: 900;
  font-size: 2.5em; /* Adjusted for scalability */
  margin: 0.2em;
  padding: 0.5em;
  color: var(--accent-color);
}

h2 {
  color: var(--secondary-color);
  margin: 1em;
}

h3 {
  margin: 0.2em;
  color: var(--accent-color);
  font-size: 1.2em;
}

.logo {
  margin-top: 2em;
  z-index: 1;
  border-radius: 30px;
  transition: transform 0.3s, box-shadow 0.3s;
  width: 10vw;
  max-width: 100%;
  height: auto;
  box-shadow: 10px 0 20px rgba(0, 0, 0, 0.3);
}

.card-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(30%, 1fr));
  gap: 1.5em;
  margin-top: 1em;
  padding: 1em;
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 10px;
  text-align: center;
}

.card {
  width: 100%;
  padding: 1em;
  border-radius: 15px;
  box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
  background-color: var(--secondary-color);
  color: var(--text-light);
  margin: 0 auto;
}













hr {
  background-color: var(--highlight-color);
  height: 1px;
  text-align: center;
  width: 80%;
}

p {
  margin-left: 8%;
  margin-right: 8%;
}

.menu {
  margin: 1%;
  font-weight: bolder;
  text-align: center;
}

.login-container {
  background-color: rgba(255, 255, 255, 0.9);
  padding: 2em;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  margin-top: 2em;
}

input[type="text"],
input[type="password"] {
  width: 30%;
  padding: 1em;
  border-radius: 8px;
  border: 1px solid #ccc;
  margin-bottom: 1em;
}

li {
  text-align: center;
  list-style-type: none;
}

a {
  text-decoration: none;
}

button {
  border: none;
  padding: 1em;
  margin: 1em;
  display: inline-block;
  box-sizing: border-box;
  text-align: center;
  background-color: var(--primary-color);
  color: var(--text-light);
  border-radius: 13px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

button:hover {
  background-color: var(--secondary-color);
}

/* For all divs across all classes */
* div,
a {
  max-width: 100%; 
}

/* Media Query for Responsiveness */
@media screen and (max-width: 768px) {
  h1 {
    font-size: 2em;
  }

  .card {
    width: 80vw;
  }

  .logo {
    width: 20vw;
  }

  input[type="text"],
  input[type="password"] {
    width: 80%;
  }

  button {
    width: 80%;
  }
}









/* Media query for phones */
@media screen and (max-width: 767px) {
  * div {
    max-width: 100%;
    text-align: center;
  }

  a {
    text-decoration: none;
    font-weight: 800;
  }


  h2 {
    font-size: 1em;
    color: #ff4b9f;
    font-weight: 900;
  }

  .logo {
    margin-top: 2vw;
    width: 20vw;
    max-width: 100%;
    height: auto;
  }


  .card {
    width: 80vw;
    flex-direction: column;

  }
}






.footer {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  padding: 20px;
  background-color: #f8f8f8;
}

.footer-section {
  flex: 1 1 200px;
  margin: 10px;
}

.footer-section h3 {
  margin-bottom: 1em;
  font-size: 16px;
  font-weight: bold;
}

.footer-section a {
  display: block;
  margin-bottom: 1em;
  color: #333;
  text-decoration: none;
}

.footer-section a:hover {
  text-decoration: underline;
}

.footer-section .fa {
  margin-right: 1em;
  font-size: 16px;
}

@media (max-width: 768px) {
  .footer {
    flex-direction: column;
    align-items: center;
  }

  .footer-section {
    text-align: center;
  }
}

